var game;

$('#Init').click(function(){
	if($('#Spieler1').val()!=="" && $('#Spieler2').val()!=="" && $('#StartEinheitenProLand').val()!=="" && $('#StartEinheiten').val()!=="" && $('#EinheitenProRunde').val()!=="")
	{	
			$('#Intro').get(0).pause();
			$('#Menu').css({display:'none'});
			$('#MapWrapper').css({display:'inline-block'});
			$('#Anzeige').css({display:'inline-block'});
			
		
			

			$('#Laender_angreifen').prop("disabled", true);
			$('#Einheiten_bewegen').prop("disabled", true);

			game = new Game();

			var spieler1 = new Player($('#Spieler1').val(), '#F00');
			var spieler2 = new Player($('#Spieler2').val(), '#00F');

			game.addPlayer(spieler1);
			game.addPlayer(spieler2);

			var arr=[spieler1,spieler1,spieler1,spieler1,spieler1,spieler1,spieler2,spieler2,spieler2,spieler2,spieler2,spieler2,spieler2];
			function shuffleArray(array) {
    			for (var i = array.length - 1; i > 0; i--) {
        			var j = Math.floor(Math.random() * (i + 1));
        			var temp = array[i];
        			array[i] = array[j];
        			array[j] = temp;
    			}
    		return array;
			};
			shuffleArray(arr);
			


			game.addCounty(new County('Bayern',arr[0] , ['Baden_Wuerttemberg', 'Hessen', 'Thueringen', 'Sachsen']));
			game.addCounty(new County('Hessen', arr[1], ['Bayern', 'Baden_Wuerttemberg', 'Rheinland_Pfalz', 'Nordrhein_Westfalen', 'Niedersachsen', 'Thueringen']));
			game.addCounty(new County('Baden_Wuerttemberg', arr[2], ['Bayern', 'Hessen', 'Rheinland_Pfalz']));
			game.addCounty(new County('Thueringen', arr[3], ['Bayern', 'Hessen', 'Niedersachsen', 'Sachsen_Anhalt', 'Sachsen']));
			game.addCounty(new County('Sachsen', arr[4], ['Bayern', 'Thueringen', 'Brandenburg', 'Sachsen_Anhalt']));
			game.addCounty(new County('Saarland', arr[5], ['Rheinland_Pfalz']));
			game.addCounty(new County('Rheinland_Pfalz', arr[6], ['Saarland', 'Baden_Wuerttemberg', 'Hessen', 'Nordrhein_Westfalen']));
			game.addCounty(new County('Nordrhein_Westfalen', arr[7], ['Niedersachsen', 'Hessen', 'Rheinland_Pfalz']));
			game.addCounty(new County('Niedersachsen', arr[8], ['Nordrhein_Westfalen', 'Hessen', 'Thueringen', 'Sachsen_Anhalt', 'Brandenburg', 'Mecklenburg_Vorpommern', 'Schleswig_Holstein']));
			game.addCounty(new County('Sachsen_Anhalt', arr[9], ['Sachsen', 'Brandenburg', 'Niedersachsen', 'Thueringen']));
			game.addCounty(new County('Brandenburg', arr[10], ['Sachsen', 'Sachsen_Anhalt', 'Niedersachsen', 'Mecklenburg_Vorpommern']));
			game.addCounty(new County('Mecklenburg_Vorpommern', arr[11], ['Brandenburg', 'Niedersachsen', 'Schleswig_Holstein']));
			game.addCounty(new County('Schleswig_Holstein', arr[12], ['Niedersachsen', 'Mecklenburg_Vorpommern']));

			game.start();

			$('#Naechster_Spieler').click(function() {
				game.changePlayer();
			});

			$('#Laender_angreifen').click(function() {
				game.attack_cmd();
			});
			$('#Einheiten_bewegen').click(function() {
				game.units_move_cmd();
			});

	}
	

});